[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# EInvalidCodePoint

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error occurs while setting a UTF-8 Code Point in a String.

## Declaration

Source position: maskedit.pp line 156

`type EInvalidCodePoint = class(EInvalidUtf8)`

## Inheritance

`EInvalidCodePoint` |  | Exception raised when an error occurs while setting a UTF-8 Code Point in a String.
`EInvalidUtf8` |  | Ancestor for UTF-8 exceptions.
`Exception`
?
`TObject`

## Description

EInvalidCodePoint is an EInvalidUtf8 descendant that implements the Exception raised when an error occurs while setting a UTF-8 Code Point in a String. The exception message contains the constant value in SInvalidCodePoint.

Used in the SetCodePoint routine in the implementation section for the unit.

## See also

SInvalidCodePoint |  | Message displayed in the EInvalidCodePoint exception.